Subject: Re: [Ltru] Ticket #45: updated editor's copy available

From: CE Whitehead <[email-masked]>
Date: Fri, 8 May 2009 16:35:01 -0400

Hi, I have not had much time online to go through these updates; however, I have a few comments about a few sections.  Following are comments about the introductory two paragraphs that seem to be causing so much 'hullabaloo'.

I. 'Prefix subtag' seems a good fix for 'enclosing primary language subtag'.

    From: Mark Davis <mark at macchiato.com> 

>  Doug had a small fix, for the use of macrolanguage subtag. So

>  This form may be useful in environments where the presence of the macrolanguage subtag is considered beneficial in matching >  or selection (see <xref target="choiceUsingExtlang"></xref>).
>  =>
> This form may be useful in environments where the presence of the Prefix subtag is considered beneficial in matching or 

> selection (see <xref target="choiceUsingExtlang"></xref>).

This seems a possible fix!

It's more readily understood!

II.  I have no problems with saying that there are two canonical forms; and I have no problems with the word 'default' the way it's used (I did not see anyone completely getting around default in their suggested fixes yet anyway; if you're going to have the word 'default', then there's no need to add additional words; just say 'default' straight out, no need to meander your way to it).

However, I did agree with Randy that we must be careful about using key terms.

From: "Randy Presuhn" <randy_presuhn at mindspring.com> 
Date: Tue, 5 May 2009 23:57:31 -0700 
> Hi -

> As a technical contributor...

>> From: "Phillips, Addison" <addison at amazon.com>
>> To: "LTRU Working Group" <ltru at ietf.org>
>> Sent: Tuesday, May 05, 2009 11:07 AM
>> Subject: [Ltru] Ticket #45: updated editor's copy available
...
>>    There are two canonical forms for language tags: the 'default'
>>    canonical form contains no extended language subtags, while the
>>    'extlang' canonical form contains extended language subtags where
>>    required.  Normally, the 'default' canonicalization is preferred.
>>    However, the 'extlang' canonical form can be useful in environments
>>    where the presence of the enclosing primary language subtag is
>>    considered beneficial to matching or selection (see Section 4.1.2)
> ...

> The word "required" looks a lot like the RFC 2219 keyword "REQUIRED", which
> is essentially a "MUST".  Reading the proposed text in that light, the
> "default" form makes no sense.

*
I agree with Randy's concern about using a keyword; thanks for catching this!

> I really really really really really dislike, loathe, and abhor the very idea
> of having two "canonical" forms - it seems oxymoronic.  Yes, there are
> two use cases, but that does not mean that both have to be called
> "canonical", or that the one true canonical form (whichever that is)
> needs to serve both purposes.

> Randy

* * *
 I think the text suggested by Leif Halvard Silli--trying to get around the use of the word 'default' (which he ultimately has to use anyway) is a bit wordy.
As I said above, I think you might as well come out and say default here.

Best, 

C. E. Whitehead

[email-masked]

---

From: CE Whitehead <[email-masked]>
Date: Fri, 8 May 2009 16:43:09 -0400

Hi!  I finally got a chance to comment a little on Addison's text; sorry I took so long!

Sorry I cannot offer more comments yet; on avery quick glance, I think Mark's doing a good job with step 4 at:

http://www.macchiato.com/unicode/ltru-canonicalization

Best,

C. E. Whitehead

[email-masked]

Date: Tue, 5 May 2009 11:07:16 -0700 

>   3.  Subtags are replaced by their Preferred-Value, if there is one.
>       For extended language subtags, the original primary language
>       subtag is also replaced if there is a primary language subtag in
>       the Preferred-Value.

* * *
This second sentence,

"For extended language subtags, the original primary language
       subtag is also replaced if there is a primary language subtag in
       the Preferred-Value." 

is confusing!  I think this information would be clearer if it waited till the next section; that's my personal preference; also I'd prefer an example rather than an explanation here as the various primary language subtags here get me muddled (sorry)!
* * *

>       *  The field-body of the Preferred-Value for extlangs is an
>          "extended language range" and almost always consists of a
>          single, primary language subtag.  For example, the subtag
>          sequence "zh-hak" (Chinese, Hakka) would be replaced with the
>          tag "hak" (Hakka).  

* * *
(You might add a note here however & I'd prefer an example; I think an example would make this confusing text more clear.)
* * *
>       *  The field-body of the Preferred-Value for all other types of
>          subtags consists of a subtag of the same type.  Most of these
>          non-extlang subtags are either Region subtags where the
>          country name or designation has changed or are clerical
>          corrections to ISO 639-1.

>Addison Phillips
Globalization Architect -- Lab126

---

From: CE Whitehead <[email-masked]>
Date: Thu, 14 May 2009 18:07:20 -0400

Hi, Mark, as far as I know I went to the most updated versions of item 3, section 4.5 available online as of the 12th.

I went to your URL (http://www.macchiato.com/unicode/ltru-canonicalization) and also responded to the May 11th email message you cited; 

however, in my email back to you on the 12th, 

oops; I did goof there; 

I wrote that message as the library computer I was using was closing--

and, what I meant to say was that I do not have problems with the text in item 3 of section 4.5 of the draft at ltru (which does not have your updates yet); see:

http://tools.ietf.org/html/draft-ietf-ltru-4646bis-21#section-4.5

"  3.  Subtags of type 'extlang' SHOULD be mapped to their Preferred-
       Value.  The field-body of the Preferred-Value for extlangs is an
       "extended language range" and typically maps to a primary
       language subtag.  For example, the subtag sequence"zh-hak"
       (Chinese, Hakka) would be replaced with the tag "hak" (Hakka)."

I have no problems with the above text because I do not get the confusing information about "the original primary language subtag".

The text I do have problems with is the text in your email message of

05/11 (at:

http://www.ietf.org/mail-archive/web/ltru/current/msg12587.html) and also available at your URL

( columns B and C, at the link:  http://www.macchiato.com/unicode/ltru-canonicalization ).

My suggestion was to move the second sentence of item 3,

to the first bullet below it (have this sentence close the first bullet).

Also I think an example is needed since you have so many uses of the word "primary language subtag" here and this is confusing I think!  (You have the extlang subtag being replaced by a primary language subtag and you also have "the original primary language subtag" in the tag/subtag which might need to be replaced as well; I think an example would make it clearer what happens when there is a "preferred value" for the original language subtag.  That's all I was saying :

> is confusing!  I think this information would be clearer if it waited till the next section; that's my personal preference; also I'd 

> prefer an example rather than an explanation here as the various primary language subtags here get me muddled (sorry)!
* * *
* * *
> You might move your introductory comment about the "original primary language subtag's" being replaced by its "Preferred-

> Value, if there is . . . " one.  However I'd prefer an example; I think an example would make this confusing text more clear.

 

Date: Tue, 12 May 2009 16:57:42 -0700

> No, what I am referring to is my text sent:

. . .

> date

Mon, May 11, 2009 at 16:31

> subject

Re: [Ltru] Ticket #45: updated editor's copy available

> Mark

>> On Tue, May 12, 2009 at 16:50, CE Whitehead <cewcathar at hotmail.com> wrote:
>> I think I have problems with the text at:
>> http://tools.ietf.org/html/draft-ietf-ltru-4646bis-21#section-4.5 
 
I meant to say I have no problems with this text, although it is not quite as complete as the updated text!

>> Looked quite quickly!
Obviously!
 
Best, 
C. E. Whitehead
[email-masked]
>> --C. E. Whitehead
>> cewcathar at hotmail.com

---

From: CE Whitehead <[email-masked]>
Date: Sat, 16 May 2009 12:37:37 -0400

Hi!

Date: Thu, 14 May 2009 20:15:17 -0700 

> It's time to wrap this one up.  Editors, please post to
> the mailing list your current understanding of the new
> text to resolve this item.  (I see there have been some
> minor adjustments discussed along the way.)  Everyone:
> is this text something you can live with?
The original text in Addison's draft 21 is o.k.; it is not as complete as Mark's!

Mark's is complete but a little confusing.

Leaving it as Addison has it is o.k. here.

Alternately, you can modify Mark's replacement text slightly.

Either way.  I prefer the 2nd but it's no big deal.
> Perfection is antithetical to completion.

* * *

Addison's text for 4.5, item 3
   3.  Subtags of type 'extlang' SHOULD be mapped to their Preferred-
       Value.  The field-body of the Preferred-Value for extlangs is an
       "extended language range" and typically maps to a primary
       language subtag.  For example, the subtag sequence "zh-hak"
       (Chinese, Hakka) would be replaced with the tag "hak" (Hakka).

* * *

Mark's replacement text with my amendments (except I have not come up with an example and I think the text in brackets should be deleted):
3. Subtags are replaced by their Preferred-Value, if there is one. 

* The field-body of the Preferred-Value for extlangs is an "extended language range" and typically maps to a primary language subtag. For example, the subtag sequence "zh-hak" (Chinese, Hakka) would be replaced with the tag "hak" (Hakka).
{ MOVED FROM ABOVE TO HERE AND MODIFIED SLIGHTLY--EXAMPLE ALSO NEEDED--OR CAN BE REPLACED BY EXAMPLE; CONFUSING TExT IS BRACKETED:  "The original primary language subtag for the extlang is also replaced [if there is a primary language subtag in the Preferred-Value]." 
* Most of the non-extlang subtags are either Region subtags where the country name or designation has changed or clerical corrections to ISO 639-1.

--C. E, Whitehead

[email-masked]

---

From: "Doug Ewell" <[email-masked]>
Date: Mon, 18 May 2009 22:08:16 -0600

As long as we are committed to continuing to wordsmith this text...

Mark Davis <mark at macchiato dot com> wrote:

> A language tag is in 'extlang form', when the tag is well-formed 
> according the rules in Section 2.1

Should be "according to."  And I still don't understand the purpose of 
the comma before "when."

--
Doug Ewell  *  Thornton, Colorado, USA  *  RFC 4645  *  UTN #14
http://www.ewellic.org
http://www1.ietf.org/html.charters/ltru-charter.html
http://www.alvestrand.no/mailman/listinfo/ietf-languages  ˆ